org.jgroups.persistence

## Class PersistenceFactory

- java.lang.Object
- - org.jgroups.persistence.PersistenceFactory

Deprecated.

    @Deprecated
    public class PersistenceFactory
    extends java.lang.Object

### Field Summary

Fields
`protected static Log` `log` Deprecated.

### Method Summary

Methods
`PersistenceManager` `createManager()` Deprecated. Reads the default properties and creates a persistencemanager The default properties are picked up from the $USER_HOME or from the classpath.
`PersistenceManager` `createManager(java.lang.String filePath)` Deprecated. Duplicated signature to create PersistenceManager to allow user to provide property path.
`static PersistenceFactory` `getInstance()` Deprecated. Singular public method to get access to any of the Persistence Manager implementations.
`void` `registerManager(PersistenceManager manager)` Deprecated. Register a custom persistence manager as opposed to the `FilePersistenceManager` or `DBPersistenceManager`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### log

    protected static final Log log

Deprecated.

### Method Detail

#### getInstance

    public static PersistenceFactory getInstance()

Deprecated.
Singular public method to get access to any of the Persistence Manager implementations. It is important to known at this point that properties determine the implementation of the Persistence Manager, there is no direct interface which gives access to either DB implemented ot FILE implemented storage API.

Returns:
  PersistenceFactory;

#### registerManager

    public void registerManager(PersistenceManager manager)

Deprecated.
Register a custom persistence manager as opposed to the `FilePersistenceManager` or `DBPersistenceManager`.

#### createManager

    public PersistenceManager createManager()
                                     throws java.lang.Exception

Deprecated.
Reads the default properties and creates a persistencemanager The default properties are picked up from the $USER_HOME or from the classpath. Default properties are represented by "persist.properties"

Returns:
  PersistenceManager
Throws:
  `Exception;`
  `java.lang.Exception`

#### createManager

    public PersistenceManager createManager(java.lang.String filePath)
                                     throws java.lang.Exception

Deprecated.
Duplicated signature to create PersistenceManager to allow user to provide property path.

Parameters:
  `filePath` - complete pathname to get the properties
Returns:
  PersistenceManager;
Throws:
  `Exception;`
  `java.lang.Exception`